       real*8 mean, sd, sd2

       dimension a(1)
       dimension b(100000)
       dimension c(1)
       integer x, y, z, i
       open (1,file='npoi')
       read (1,*) (a(x), x=1, 1)

       n = a(1)

       open (2,file='rflux')
       read (2,*) (b(y), y=1, n)

       open (3,file='sd1')
       read (3,*) (c(z), z=1, 1)

       sd2 = c(1)

       mean = 0.0
       do i=1, n
       mean = mean + b(i)
       end do
       mean = mean/n

       sd = 0.0
       do i=1, n
       sd = sd + (b(i)-mean)**2
       end do
       sd = sqrt(sd)/n

       if (sd.lt.sd2) then
       write (10,*) sd
       write (11,*) 'y'
       else 
       write (10,*) sd
       write (11,*) 'n'
       endif
       end 

